svn commit: samba r11575 - in trunk/examples: perfcounter scripts/eventlog

jerry at samba.org jerry at samba.org
Tue Nov 8 13:04:15 GMT 2005


Author: jerry
Date: 2005-11-08 13:04:15 +0000 (Tue, 08 Nov 2005)
New Revision: 11575

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=11575

Log:
a few patches from Thomas Bork (fix comment in parselog.pl and code cleanup in perfcounter startup script)
Modified:
   trunk/examples/perfcounter/perfcountd.init
   trunk/examples/scripts/eventlog/parselog.pl


Changeset:
Modified: trunk/examples/perfcounter/perfcountd.init
===================================================================
--- trunk/examples/perfcounter/perfcountd.init	2005-11-08 06:19:36 UTC (rev 11574)
+++ trunk/examples/perfcounter/perfcountd.init	2005-11-08 13:04:15 UTC (rev 11575)
@@ -1,38 +1,39 @@
 #!/bin/sh
 #
+# Copyright (C) Gerald Carter            2005
 #
-# Copyright (C) Gerald Carter            2005
-#  
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-# 
+#
+####################################################################
 
 ## This file should have uid root, gid sys and chmod 744
 
-
 PATH=/bin:/usr/bin:/sbin:/usr/sbin
 
-killproc() {            # kill the named process(es)
-        pid=`ps aux | grep $1 | egrep -v '(grep|perfcountd)' | awk '{print $2}'`
-        if [ "$pid" != "" ]; then
+killproc() 
+{
+	pid=`ps aux | grep $1 | egrep -v '(grep|perfcountd)' | awk '{print $2}'`
+	if [ "$pid" != "" ]; then
 		kill $pid
 	fi
 }
 
 # Start/stop processes 
 
-case "$1" in
+case "$1" 
+in
 start)
 	/opt/samba/bin/perfcount -d -f /var/lib/samba/perfmon 2> /dev/null
 	if [ $? -ne 0 ]; then
@@ -40,23 +41,26 @@
 		exit 1
 	fi
 	echo "done!"
-   	;;
+	;;
 stop)
-   	killproc perfcount
-   	;;
+	killproc perfcount
+	;;
 
+status)
+	pid=`ps aux | grep perfcount | egrep -v '(grep|perfcountd)' | awk '{print $2}'`
+	if [ "$pid" == "" ]; then
+		echo "Dead!"
+		exit 2;
+	fi
+	echo "OK!"
+	;;
 restart)
-   	killproc perfcount
-	/opt/samba/bin/perfcount -d -f /var/lib/samba/perfmon 2> /dev/null
-        if [ $? -ne 0 ]; then
-                echo "Failed!"
-                exit 1
-        fi
-
-	echo "done!"
+	$0 stop && $0 start
    	;;
 
 *)
-   	echo "Usage: /etc/init.d/samba { start | stop | restart }"
+   	echo "Usage: $0 { start|stop|restart|status }"
    	;;
 esac
+
+

Modified: trunk/examples/scripts/eventlog/parselog.pl
===================================================================
--- trunk/examples/scripts/eventlog/parselog.pl	2005-11-08 06:19:36 UTC (rev 11574)
+++ trunk/examples/scripts/eventlog/parselog.pl	2005-11-08 13:04:15 UTC (rev 11575)
@@ -1,6 +1,6 @@
 ######################################################################
 ##
-##  Simple add/delete/change share command script for Samba
+##  Simple parselog script for Samba
 ##
 ##  Copyright (C) Brian Moran                2005.
 ##



More information about the samba-cvs mailing list